config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # MOVE IT OVER TO FIX PERMS
    mv $NEW $OLD
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

if [ -r etc/pam.d/xdm.new ]; then
  config etc/pam.d/xdm.new
fi

for conffile in \
  Xaccess Xreset Xresources Xservers Xsession Xsetup_0 Xstartup Xwilling \
  GiveConsole TakeConsole xdm-config ../app-defaults/Chooser ;
do
  config etc/X11/xdm/${conffile}.new
done

# Prevent a black background for login/password when upgrading from xdm-1.1.1
# and ignoring the .new files :-)
if ! grep -q inpColor etc/X11/xdm/Xresources ; then
  echo 'xlogin*inpColor: grey80' >> etc/X11/xdm/Xresources
fi
( cd usr/lib/X11 ; rm -rf xdm )
( cd usr/lib/X11 ; ln -sf ../../../etc/X11/xdm xdm )
